{
  "name": "@multiplatform.one/components",
  "version": "5.0.27",
  "sideEffects": ["*.css"],
  "description": "multiplatform.one ui components",
  "main": "dist/cjs",
  "module": "dist/esm",
  "module:jsx": "dist/jsx",
  "source": "src/index.ts",
  "types": "types/index.d.ts",
  "exports": {
    ".": {
      "types": "./types/index.d.ts",
      "import": "./dist/esm/index.mjs",
      "require": "./dist/cjs/index.cjs"
    },
    "./css/code-highlight.css": {
      "import": "./css/code-highlight.css",
      "require": "./css/code-highlight.css"
    },
    "./package.json": "./package.json"
  },
  "scripts": {
    "build": "rm -rf dist types 2>/dev/null && tamagui-build --ts-project ./tsconfig.build.json",
    "test": "vitest run --coverage --coverage.provider=v8 --coverage.reporter=text --coverage.reporter=lcov --coverage.reporter=html",
    "typecheck": "tsc --noEmit"
  },
  "files": ["css", "dist", "src", "types"],
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/bitspur/multiplatform.one/multiplatform.one.git"
  },
  "license": "Apache-2.0",
  "dependencies": {
    "@mdx-js/mdx": "^3.1.0",
    "@mdx-js/react": "^3.1.0",
    "@multiplatform.one/router": "workspace:5.0.27",
    "@tamagui/font-inter": "^1.122.6",
    "@tamagui/logo": "^1.122.6",
    "@tamagui/react-native-media-driver": "^1.122.6",
    "@tamagui/react-native-svg": "^1.122.6",
    "@tamagui/shorthands": "^1.122.6",
    "@tamagui/themes": "^1.122.6",
    "@tanstack/react-form": "^0.21.1",
    "burnt": "^0.12.2",
    "expo-image": "^1.13.0",
    "fast-xml-parser": "^4.5.1",
    "gray-matter": "^4.0.3",
    "hast-util-to-html": "8.0.4",
    "link": "^2.1.1",
    "multiplatform.one": "workspace:5.0.27",
    "parse-numeric-range": "^1.3.0",
    "refractor": "^4.8.1",
    "rehype-autolink-headings": "~6.1.1",
    "rehype-parse": "~8.0.5",
    "rehype-slug": "~5.1.0",
    "remark-frontmatter": "^5.0.0",
    "remark-mdx-frontmatter": "^4.0.0",
    "tamagui": "^1.122.6",
    "unist-util-visit": "^5.0.0"
  },
  "peerDependencies": {
    "moti": "^0.25.3",
    "react": "~18.2.0",
    "react-dom": "~18.2.0",
    "react-native-reanimated": "~3.10.1"
  },
  "devDependencies": {
    "@tamagui/build": "^1.122.6",
    "@tamagui/config": "^1.122.6",
    "@testing-library/jest-dom": "^6.6.3",
    "@testing-library/react": "^15.0.7",
    "@types/testing-library__jest-dom": "^6.0.0",
    "@vitejs/plugin-react": "^4.3.4",
    "jsdom": "^24.1.3",
    "matchmedia-polyfill": "^0.3.2",
    "moti": "^0.29.0",
    "react-native-reanimated": "~3.10.1",
    "react-native-web": "~0.19.13",
    "vitest": "^1.6.0",
    "vitest-react-native": "^0.1.5"
  }
}
